org.eclipse.mat.query.registry

## Class Queries

- java.lang.Object
- - org.eclipse.mat.query.registry.Queries

    public class Queries
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`QueryResult` `execute(IProgressListener listener)`
`static Queries` `lookup(String name, IQueryContext context)`
`static Queries` `parse(String commandLine, IQueryContext context)`
`Queries` `set(String name, Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### lookup

    public static Queries lookup(String name,
                                 IQueryContext context)
                          throws SnapshotException

Throws:
  `SnapshotException`

#### parse

    public static Queries parse(String commandLine,
                                IQueryContext context)
                         throws SnapshotException

Throws:
  `SnapshotException`

#### set

    public Queries set(String name,
                       Object value)
                throws SnapshotException

Throws:
  `SnapshotException`

#### execute

    public QueryResult execute(IProgressListener listener)
                        throws SnapshotException

Throws:
  `SnapshotException`